#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include <tmp.h>

temp *new_tmp (char *ref)
{
	temp *ret;
	int fd;
	
	ret=(temp *)malloc(sizeof(temp));
	
	if (ref)
	{
		ret->name=(char *)malloc(strlen(ref));
		strcpy(ret->name, ref);
	}
	else
	{
		ret->name=(char *)malloc(16);
		strcpy(ret->name, "/tmp/tmp.XXXXXX");
	}

	fd=mkstemp(ret->name);
	if (fd==-1)
	{
		perror("new_tmp");
		return NULL;
	}
	
	ret->desc=fdopen(fd, "r+");
	if (!ret->desc)
	{
		perror("new_tmp");
		return NULL;
	}
	
	return ret;
}

void del_tmp (temp *file)
{
	fclose(file->desc);
	unlink (file->name);
	free(file->name);
	free(file);
}
