#ifndef __TMP_H__
#define __TMP_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <stdio.h>
	
typedef struct
{
	char *name;
	FILE *desc;
} temp;
	
/** Create a new temporary file
@param ref Possible template, see mkstemp(3) for more information
@return New temp structure on success or NULL on failure.
*/
temp *new_tmp (char *ref);
/** Delete a temporary file and free the temp structure's memory
@param file The temp structure
*/
void del_tmp (temp *file);

#ifdef __cplusplus
}
#endif
#endif
