#include <diff.h>
#include <tmp.h>
#include <str.h>
#include <rss-handler.h>

/* RSS 1.0 testcase */

int main (int argc, char **argv)
{
	int i, ret;
	feed fd;
	newsitem *items;
	temp *outf;
	FILE *difff;
	
	if (rss_init_cache(&fd, "../../etc/cache/slashdot"))
		items=rss_parse(&fd, false);
	else
	{
		perror("rss10 tst");
		return 1;
	}

	outf=new_tmp(NULL);
	for (i=0;i<fd.count;i++)
		rss_dump(outf->desc, items[i]);
		
	rss_unparse(&fd, items);
	rss_end(&fd);

	fseek(outf->desc, 0, SEEK_SET);
	difff=fopen("ref/rss10", "r");
	ret=!same_file(outf->desc, difff, 0);
	fclose(difff);
	del_tmp(outf);
	
	return ret;
}
