#include <string.h>
#include <unistd.h>

#include <diff.h>
#include <str.h>
#include <tmp.h>
#include <rss-handler.h>

/* RSS 2.0 testcase */

#define LEN		RF_LEN*2+RF_DESCLEN+12

int main (int argc, char **argv)
{
	int i, ret;
	FILE *dfile;
	temp *outf;
	feed fd;
	newsitem *items;

	if (rss_init_cache(&fd, "../../etc/cache/zeldman.xml"))
		items=rss_parse(&fd, false);
	
	outf=new_tmp(NULL);
	
	for (i=0;i<fd.count;i++)
		rss_dump(outf->desc, items[i]);

	rss_end(&fd);
	rss_unparse(&fd, items);
	
	fseek(outf->desc, 0, SEEK_SET);
	dfile=fopen("ref/rss20", "r");
	ret=!same_file(outf->desc, dfile, LEN);
	fclose(dfile);
	del_tmp(outf);	
	
	return ret;
}
