#ifndef __XML_WRITER_H_
#define __XML_WRITER_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <libxml/parser.h>

/** Create a new node 
@param root Parent node
@param name Name of the new node
@param content Value of the new node
@return Pointer to the new node
*/
xmlNodePtr xml_new_node (xmlNodePtr root, char *name, char *content);

#ifdef __cplusplus
}
#endif
#endif
