#ifndef __DIFF_H__
#define __DIFF_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <stdio.h>
#include <stdbool.h>

/** Compare two files
@param file1 First file
@param file2 Second file
@param len Line length in the file, pass 0 if unknown
@return True if equal, false if not.
*/
bool same_file (FILE *file1, FILE *file2, int len);

#ifdef __cplusplus
}
#endif
#endif
