#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <str.h>
#include <http.h>

char *http_header (char *text, char *field)
{
	char *t1=(char *)malloc(strlen(text)+1), *t2, *t3, *val;

	strcpy(t1, text);
	t2=t1;
	t3=strstr(t1, field);
	t1=strstr(t3, ":");
	t1+=2;
	t1=chrep(t1, '\n', '\0');
	val=(char *)malloc(strlen(t1)+1);
	strcpy(val, t1);
	free(t2);

	return val;
}

char *http_get (sock *sck, char *file)
{
	char *t1, *t2, *t3;
	int l, i;

	/* Send the HTTP request */
	t1=(char *)malloc(HTTP_HEAD+1);
	snprintf(t1, HTTP_HEAD, "GET /%s HTTP/1.0\nUser-Agent: %s\n\n", file, HTTP_UA);
	sock_write(sck, t1);
	free(t1);

	/* Determine length of content */
	t1=sock_read(sck, HTTP_HEAD);
	t2=t1;
	t1=http_header(t1, "Content-Length");
	l=atoi(t1);

	/* Determine exact start of content */
	t1=strstr(t2, "\r\n\r\n");
	t1+=4;

	/* Read the whole content */
	l-=strlen(t1);
	t3=(char *)malloc(l+strlen(t1)+1);
	strcpy(t3, t1);
	for (i=0;i<l;i++)
		sprintf(t3, "%s%c", t3, sock_readch(sck));
	free(t2);

	return t3;
}

char *http_get_file (char *req)
{
	char *copy=(char *)malloc(strlen(req)+1), *ret, *tmp;
	
	strcpy(copy, req);
	tmp=copy;
	copy=strstr(copy, "/");
	copy++;
	copy=chrep(copy, ' ', '\0');
	ret=(char *)malloc(strlen(copy)+1);
	strcpy(ret, copy);
	free(tmp);

	return ret;
}

char *http_req (sock *sck)
{
	FILE *foo;
	char *req, *buf;
	
	foo=fdopen(sck->fd, "r");
	buf=(char *)malloc(256);
	req=(char *)malloc(1);
	req[0]='\0';
	
	while (fgets(buf, 255, foo))
	{
		char *tmp=req;
		
		req=(char *)malloc(strlen(req)+strlen(buf));
		sprintf(req, "%s%s", tmp, buf);
		free(tmp);
		
		if (!strcmp(buf, "\n"))
			break;
	}

	free(buf);
	return req;
}

char *http_get_proto (char *req)
{
	char *copy=(char *)malloc(strlen(req)+1), *ret, *tmp;
	int i;

	strcpy(copy, req);
	tmp=copy;
	for (i=0;i<2;i++)
	{
		copy=strstr(copy, " ");
		copy++;
	}
	copy=chrep(copy, '\n', '\0');
	ret=(char *)malloc(strlen(copy)+1);
	strcpy(ret, copy);
	free(tmp);

	return ret;
}
